﻿Public Class Form1
    Private Declare Function MSplitBegin Lib "pdfsplitmerge.dll" (ByVal infile As String, ByVal password As String) As Integer
    Private Declare Function MSplit Lib "pdfsplitmerge.dll" (ByVal id As Integer, ByVal output As String, ByVal mode As Integer, ByVal range As String) As Integer
    Private Declare Function MSplitEnd Lib "pdfsplitmerge.dll" (ByVal id As Integer) As Integer
    Private Declare Function MMergeBegin Lib "pdfsplitmerge.dll" () As Integer
    Private Declare Function MMergeSetFiles Lib "pdfsplitmerge.dll" (ByVal id As Integer, ByVal infile As String, ByVal password As String, ByVal range As String) As Integer
    Private Declare Function MMerge Lib "pdfsplitmerge.dll" (ByVal id As Integer, ByVal outfile As String) As Integer
    Private Declare Function MMergeEnd Lib "pdfsplitmerge.dll" (ByVal id As Integer) As Integer
    Private Declare Function MWatermark Lib "pdfsplitmerge.dll" (ByVal id As Integer, ByVal text As String, ByVal fsize As Integer, ByVal fcolor As Integer, ByVal position As Integer, ByVal angle As Integer, ByVal xoff As Integer, ByVal yoff As Integer, ByVal asbackground As Integer) As Integer

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim id As Integer
        Dim mode As Integer

        id = MSplitBegin("test.pdf", "")
        Select Case id
            Case -1
                MsgBox("PDF file unexist or damaged!")
                Exit Sub
            Case -2
                MsgBox("PDF file is restricted!")
                Exit Sub
        End Select

        mode = 1
        MSplit(id, "split", mode, "")

        MSplitEnd(id)

        MsgBox("Split finished!")
    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        Dim id As Integer
        Dim mode As Integer

        id = MSplitBegin("test.pdf", "")
        Select Case id
            Case -1
                MsgBox("PDF file unexist or damaged!")
                Exit Sub
            Case -2
                MsgBox("PDF file is restricted!")
                Exit Sub
        End Select

        mode = 2
        MSplit(id, "Deleted.pdf", mode, "3-8")

        MSplitEnd(id)

        MsgBox("Delete finished!")
    End Sub

    Private Sub Button3_Click(sender As System.Object, e As System.EventArgs) Handles Button3.Click
        Dim id As Integer
        Dim mode As Integer

        id = MSplitBegin("test.pdf", "")
        Select Case id
            Case -1
                MsgBox("PDF file unexist or damaged!")
                Exit Sub
            Case -2
                MsgBox("PDF file is restricted!")
                Exit Sub
        End Select

        mode = 3
        MSplit(id, "Extract.pdf", mode, "3-8,9,15")

        MSplitEnd(id)

        MsgBox("Extract finished!")
    End Sub

    Private Sub Button4_Click(sender As System.Object, e As System.EventArgs) Handles Button4.Click
        Dim id As Integer
        Dim fsize As Integer
        Dim fcolor As Integer
        Dim position As Integer
        Dim angle As Integer
        Dim xoff As Integer
        Dim yoff As Integer
        Dim asbackground As Integer

        id = MMergeBegin()
        If id <= 0 Then
            MsgBox("Creat PDF file failed!")
            Exit Sub
        End If

        MMergeSetFiles(id, "test.pdf", "", "1-3")
        MMergeSetFiles(id, "test.pdf", "", "5")
        MMergeSetFiles(id, "test.pdf", "", "7-9")

        fsize = 16
        fcolor = 255 'red
        position = 2 'Top-Center
        angle = 0
        xoff = 0
        yoff = 0
        MWatermark(id, "Merge into one pdf file", fsize, fcolor, position, angle, xoff, yoff, asbackground)

        MMerge(id, "Merged.pdf")

        MMergeEnd(id)

        MsgBox("Merge finished!")
    End Sub
End Class
